'use strict';

require('./curry.js');
require('./isString-d8679d99.js');
require('./flatten-a717674f.js');
require('./variadic.js');
require('./_append.js');
require('./append.js');
require('./flip.js');
require('./concatWith-aa95abaf.js');
require('./isArray-fff5bad6.js');
var mempty = require('./mempty-fb137ec7.js');
var concat = require('./concat.js');
var empty = require('./empty.js');
var head = require('./head.js');
var tail = require('./tail.js');

function intersperse(s, as) {
  var prependToAll = function prependToAll(bs) {
    return empty(bs) ? mempty.mempty(bs) : concat(s, head(bs), prependToAll(tail(bs)));
  };

  return empty(as) ? mempty.mempty(as) : concat(head(as), prependToAll(tail(as)));
}

module.exports = intersperse;
