'use strict';

require('./curry.js');
require('./always.js');
require('./_branch.js');
require('./branch.js');
require('./id.js');
require('./isString-d8679d99.js');
require('./flatten-a717674f.js');
require('./variadic.js');
require('./compose.js');
require('./_append.js');
require('./append.js');
require('./flip.js');
require('./concatWith-aa95abaf.js');
require('./isArray-fff5bad6.js');
var mempty = require('./mempty-fb137ec7.js');
require('./concat.js');
require('./_concatMap.js');
var _filter = require('./_filter.js');
var empty = require('./empty.js');
var head = require('./head.js');
var tail = require('./tail.js');
var _prepend = require('./_prepend.js');

function nubBy(f, as) {
  var a = head(as);
  return empty(as) ? mempty.mempty(as) : _prepend(a, nubBy(f, _filter(function (b) {
    return !f(a, b);
  }, tail(as))));
}

module.exports = nubBy;
