'use strict';

require('./curry.js');
var isString = require('./isString-d8679d99.js');
require('./flatten-a717674f.js');
require('./variadic.js');
require('./compose.js');
require('./_append.js');
require('./append.js');
require('./flip.js');
require('./concatWith-aa95abaf.js');
require('./isArray-fff5bad6.js');
require('./mempty-fb137ec7.js');
require('./concat.js');
var _concatMap = require('./_concatMap.js');
var array = require('./array.js');
var string = require('./string.js');

function replicate(n, a) {
  var as = isString.isString(a) ? string(n) : array(n);
  return _concatMap(function () {
    return [a];
  }, as);
}

module.exports = replicate;
