'use strict';

require('./curry.js');
require('./always.js');
require('./_branch.js');
require('./branch.js');
require('./id.js');
require('./isString-d8679d99.js');
require('./flatten-a717674f.js');
require('./variadic.js');
require('./compose.js');
var _append = require('./_append.js');
require('./append.js');
require('./flip.js');
require('./concatWith-aa95abaf.js');
require('./isArray-fff5bad6.js');
require('./mempty-fb137ec7.js');
require('./concat.js');
require('./_concatMap.js');
require('./_filter.js');
var _any = require('./_any.js');
require('./empty.js');
require('./head.js');
require('./tail.js');
require('./_prepend.js');
var _nubBy = require('./_nubBy.js');
var _fold = require('./_fold.js');

function unionBy(f, as, bs) {
  return _fold(function (cs, b) {
    return _any(function (a) {
      return f(a, b);
    }, as) ? cs : _append(b, cs);
  }, _nubBy(f, as), bs);
}

module.exports = unionBy;
