'use strict';

require('./curry.js');
require('./isString-d8679d99.js');
require('./flatten-a717674f.js');
require('./variadic.js');
require('./_append.js');
require('./append.js');
require('./flip.js');
require('./concatWith-aa95abaf.js');
require('./isArray-fff5bad6.js');
require('./mempty-fb137ec7.js');
var concat = require('./concat.js');
var empty = require('./empty.js');
var head = require('./head.js');
require('./_pair.js');
var pair = require('./pair.js');
var tail = require('./tail.js');
var _map = require('./_map.js');

function cartesian(as, bs) {
  return empty(as) ? [] : concat(_map(pair(head(as)), bs), cartesian(tail(as), bs));
}

module.exports = cartesian;
