'use strict';

require('./curry.js');
require('./always.js');
require('./_branch.js');
require('./branch.js');
require('./id.js');
require('./isString-d8679d99.js');
require('./flatten-a717674f.js');
require('./variadic.js');
require('./compose.js');
var _append = require('./_append.js');
require('./append.js');
require('./flip.js');
require('./concatWith-aa95abaf.js');
require('./isArray-fff5bad6.js');
var mempty = require('./mempty-fb137ec7.js');
require('./concat.js');
require('./_concatMap.js');
require('./_filter.js');
var _any = require('./_any.js');
var _fold = require('./_fold.js');

function intersectBy(f, as, bs) {
  return _fold(function (cs, a) {
    return _any(function (b) {
      return f(a, b);
    }, bs) ? _append(a, cs) : cs;
  }, mempty.mempty(as), as);
}

module.exports = intersectBy;
